Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# treestore.hh File Reference

A GtkTreeStore C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gtk/treemodel.hh>`
`#include <xfc/gtk/treesortable.hh>`
`#include <xfc/gtk/treednd.hh>`
`#include <gtk/gtktreestore.h>`
`#include <xfc/gtk/inline/treestore.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TreeStore
    A GtkTreeStore C++ wrapper class. More...

## Detailed Description

A GtkTreeStore C++ wrapper interface.

Provides TreeStore, a tree-like model object for use with a TreeView widget.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3